
#ifndef CAFFE_EXPORT_H
#define CAFFE_EXPORT_H

#ifdef CAFFE_STATIC_DEFINE
#  define CAFFE_EXPORT
#  define CAFFE_NO_EXPORT
#else
#  ifndef CAFFE_EXPORT
#    ifdef caffe_EXPORTS
        /* We are building this library */
#      define CAFFE_EXPORT __declspec(dllexport)
#    else
        /* We are using this library */
#      define CAFFE_EXPORT __declspec(dllimport)
#    endif
#  endif

#  ifndef CAFFE_NO_EXPORT
#    define CAFFE_NO_EXPORT 
#  endif
#endif

#ifndef CAFFE_DEPRECATED
#  define CAFFE_DEPRECATED __declspec(deprecated)
#endif

#ifndef CAFFE_DEPRECATED_EXPORT
#  define CAFFE_DEPRECATED_EXPORT CAFFE_EXPORT CAFFE_DEPRECATED
#endif

#ifndef CAFFE_DEPRECATED_NO_EXPORT
#  define CAFFE_DEPRECATED_NO_EXPORT CAFFE_NO_EXPORT CAFFE_DEPRECATED
#endif

#if 0 /* DEFINE_NO_DEPRECATED */
#  ifndef CAFFE_NO_DEPRECATED
#    define CAFFE_NO_DEPRECATED
#  endif
#endif

#endif /* CAFFE_EXPORT_H */
