@echo off

mkdir build
pushd build

cmake -GNinja ^
      -DCMAKE_BUILD_TYPE=Release ^
      -DBUILD_SHARED_LIBS=ON ^
      -DBLAS=MKL ^
      -DUSE_LMDB=ON ^
      -DUSE_LEVELDB=OFF ^
      -Dpython_version=%PY_VER% ^
      -DCMAKE_PREFIX_PATH:PATH="%LIBRARY_PREFIX%" ^
      -DCMAKE_INSTALL_PREFIX:PATH="%LIBRARY_PREFIX%" ^
      -DCOPY_PREREQUISITES:BOOL=OFF ^
      -DINSTALL_PREREQUISITES:BOOL=OFF ^
      -DCPU_ONLY:BOOL=ON ^
      ..

cmake --build . --target install

move "%LIBRARY_PREFIX%\python\caffe" "%SP_DIR%\"
rmdir /S /Q "%LIBRARY_PREFIX%\python"
copy /Y "%CUDA_BIN_PATH%\cudnn*.dll" "%LIBRARY_PREFIX%\bin\"

popd